/* fix-mac-ps.c -- Fix Mac PS files to escape 8-bit characters. DMM 07-Jan-91 */

/*
 * USAGE:
 * fix-mac-ps <infile >outfile
 *         or [infile [outfile]]
 */

#include <stdio.h>

#ifndef NULL
#define NULL 0
#endif

main (argc, argv)
    int   argc;
    char *argv[];
{
    register int   cc;
    register FILE *ip;
    register FILE *op;

    ip = (argc > 1) ? fopen(argv[1], "r") : stdin;
    op = (argc > 2) ? fopen(argv[2], "w") : stdout;

    if (ip == (FILE *) NULL)
    {
        fprintf(stderr, "Could not open input file \"%s\"\n", argv[1]);
        exit(1);
    }
    if (op == (FILE *) NULL)
    {
        fprintf(stderr, "Could not open output file \"%s\"\n", argv[2]);
        exit(1);
    }

    while ((cc = getc(ip)) >= 0)
    {
        if (cc <  0200)
            fputc(cc, op);
        else
            fprintf(op, "\\%03o", cc);
    }

    exit(0);
}
